%global tarball_name jaf-initial-contribution

Name:		jaf
Version:	1.2.1
Release:	1%{?dist}
Summary:	JavaBeans Activation Framework

License:	CDDL-1.1
URL:		https://github.com/eclipse-ee4j/jaf

Source0:	https://github.com/eclipse-ee4j/jaf/archive/initial-contribution.tar.gz

Patch0:		0_add_manifest.patch

BuildArch:	noarch

BuildRequires:	ee4j
BuildRequires:	glassfish-hk2-maven-plugins
BuildRequires:	javapackages-local
BuildRequires:	maven-dependency-plugin
BuildRequires:	maven-enforcer-plugin
BuildRequires:	maven-local
BuildRequires:	maven-plugin-build-helper
BuildRequires:	maven-plugin-bundle
BuildRequires:	maven-source-plugin

Requires:	java-openjdk

%description
The JavaBeans Activation Framework (JAF) is a standard extension to the
Java platform that lets you take advantage of standard services to:
determine the type of an arbitrary piece of data; encapsulate access to it;
discover the operations available on it; and instantiate the appropriate
bean to perform the operation(s).

%prep
%setup -q -n %{tarball_name}
%patch0 -p1

%pom_disable_module demo


mkdir -p %{_builddir}/%{tarball_name}/activationapi/target/sources/
cp -r %{_builddir}/%{tarball_name}/activation/src/main/java/javax/ %{_builddir}/%{tarball_name}/activationapi/target/sources/
cp -r %{_builddir}/%{tarball_name}/activation/src/main/java/com/ %{_builddir}/%{tarball_name}/activationapi/target/sources/

mkdir -p %{_builddir}/%{tarball_name}/activation/target/classes
cp -r %{_builddir}/%{tarball_name}/activation/META-INF %{_builddir}/%{tarball_name}/activation/target/classes/

mkdir -p %{_builddir}/%{tarball_name}/activationapi/target/classes
cp -r %{_builddir}/%{tarball_name}/activationapi/META-INF %{_builddir}/%{tarball_name}/activationapi/target/classes/

%build
%mvn_build

%install
%mvn_install

%files
%license LICENSE.md
%license NOTICE.md
%doc README.md
%{_javadir}/%{name}
%{_javadocdir}/%{name}
%{_datadir}/maven-poms/%{name}
%{_datadir}/maven-metadata/%{name}.xml

%changelog
* Fri Sep 21 2018 Salman Siddiqui <sasiddiq@redhat.com> - 1.2.1-1
- Initial packaging
